Subject: Re: Initializing and cygwin.bat
From: Sven Köhler <[email-masked]>
To: [email-masked]
Date: Mon, 21 Oct 2002 21:18:29 +0200

> >BTW: why is cygwin installed with that batch-file, and why doesn't
> >the setup create shortcuts to the command "bash.exe --login" but
> >to cygwin.bat?
> >Has this been done for some reason?
>
>
> Some environment settings need to be done before the first Cygwin
> process starts, e.g. CYGWIN settings like 'ntsec tty binmode notitle
> ...'.  'ntsec' is on by default now but you still may also use
> others.  You don't need to set them globally in the Windows
> environment if you set them in the batch file.  There may be some more
> reasons why there is this batch file?  Maybe there were no patches to
> change this?

there's also a registry-entry where you can set the "default" values

[HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options]
"default"="ntsec tty codepage:oem"

Chris was so kind to tell me about it ;-)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/